Runtime

## org.eclipse.gmf.runtime.common.core.util
Class ObjectAdapter

    java.lang.Object
      org.eclipse.gmf.runtime.common.core.util.ObjectAdapter

All Implemented Interfaces:
  IAdaptable

public class ObjectAdapter
extends java.lang.Object
implements IAdaptable

An adapter that allows for the setting of the object later.

Constructor Summary
`ObjectAdapter()` Constructor for an ObjectAdapter.
`ObjectAdapter(java.util.List list)` Constructor for an ObjectAdapter.
`ObjectAdapter(java.lang.Object object)` Constructor for an ObjectAdapter.

Method Summary
`java.lang.Object` `getAdapter(java.lang.Class adapter)`
`void` `setObject(java.lang.Object theObject)` Sets the object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectAdapter

    public ObjectAdapter()

  Constructor for an ObjectAdapter.

### ObjectAdapter

    public ObjectAdapter(java.lang.Object object)

  Constructor for an ObjectAdapter.

Parameters:
  `object` - The object that can adapt.

### ObjectAdapter

    public ObjectAdapter(java.util.List list)

  Constructor for an ObjectAdapter.

Parameters:
  `list` - The list to adapt.

Method Detail

### getAdapter

    public java.lang.Object getAdapter(java.lang.Class adapter)

  Specified by:
    `getAdapter` in interface `IAdaptable`

### setObject

    public void setObject(java.lang.Object theObject)

  Sets the object.

  Parameters:
    `theObject` - The object to set.

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.